import AdvancedAgentField;
import java.awt.Point;

//
//
// AdvancedSearchAgentField
//
// Field representation that allows an agent to store
// if it has been already 'visited' during a search;
//
// The new member includes a set and a get method to 
// store/retrieve its value.
//
//

class AdvancedSearchAgentField extends AdvancedAgentField
{
  protected boolean searched;

  AdvancedSearchAgentField()
  {
    super();
    searched = false;
  }

  public AdvancedSearchAgentField( boolean wall, boolean pit, boolean wumpus, boolean exit, 
	                 boolean visited, boolean hasstench, boolean hasbreeze )
  {
	super( wall, pit, wumpus, exit, visited, hasstench, hasbreeze );
    searched = false;  
  }

  public void setSearched( boolean newstate )
  {
    searched = newstate;
  }

  public boolean getSearched()
  {
    return searched;
  }
}
