// Class WumpusEnvironment
// Author: ALOBA Babatope
//         Technical University of Vienna
//
// Creation Date: 28 April 1997
//
// last modified 28 April 1997
//      *Added a variable to store the agents status line counter
//       which determines where the actions are displayed
//      *Added extra variable for cause of death


import java.awt.*;
import java.util.*;
import java.lang.*;

public class WumpusAgentReference extends MxNActiveObjectReference
{
  // Following variables defined and initialized in superclass: 
  //protected Point coord;
  //protected Vector newpercepts;
  //protected Vector history;

  protected int slc;  //Status Line Counter
  protected String cause_of_death;
  protected int kills;   //obsolete, max 1 wumpus in the Environment
  protected int moves; // no of moves counter


  public WumpusAgentReference(ActiveObject agent)
  {
    super(agent);
    moves = 0;
    cause_of_death = "";
  } // End of WumpusAgentReference-Constructor


} // End of class WumpusAgentReference
