import java.util.*;

/* 
 *
 * Class
 * WumpusPurePercept
 * translates a percepts Vector to booleans
 * for easier handling
 * 12.03.1997 Christian Schwaiger
 *
 */

class WumpusPurePercept 
{
   boolean scream;
   boolean glitter;
   boolean stench;
   boolean breeze;
   boolean bump;

  public WumpusPurePercept() 
  {
    scream = false;
	glitter = false;
	stench = false;
	breeze = false;
	bump = false;
  }

  public WumpusPurePercept( Vector percepts )
  {
	// set member variables to false explicitly
    scream = false;
	glitter = false;
	stench = false;
	breeze = false;
	bump = false;
	
	// extract percepts from the percepts - vector
	Percept toprocess;
	Enumeration newpercepts = percepts.elements();
	while( newpercepts.hasMoreElements() == true )
	{
	  toprocess = ( (Percept) newpercepts.nextElement() );
	  if( toprocess.getName().equalsIgnoreCase( "Glitter" ) )
		glitter = true;
	  else if( toprocess.getName().equalsIgnoreCase( "Stench" ) )
		stench = true;
	  else if( toprocess.getName().equalsIgnoreCase( "Scream" ) )
		scream = true;
	  else if( toprocess.getName().equalsIgnoreCase( "Breeze" ) )
		breeze = true;
	  else if( toprocess.getName().equalsIgnoreCase( "Bump" ) )
		bump = true;
	}
  }

  // set and get methods for the class
  // set methods are provided for symmetry and maybe later used 12.03.1997
  public void setScream( boolean scream )
  {
	this.scream = scream;
  }

  public boolean getScream()
  {
	return scream;
  }

  public void setGlitter( boolean glitter )
  {
	this.glitter = glitter;
  }

  public boolean getGlitter()
  {
	return glitter;
  }

  public void setBreeze( boolean breeze )
  {
	this.breeze = breeze;
  }

  public boolean getBreeze()
  {
	return breeze;
  }

  public void setStench( boolean stench )
  {
	this.stench = stench;
  }

  public boolean getStench()
  {
	return stench;
  }


  public void setBump( boolean bump )
  {
	this.bump = bump;
  }

  public boolean getBump()
  {
	return bump;
  }
}

