// file:        Action.java
// source file: Action.java
// object file: Action.class
//
//
// included objects:
//  Action
//    Desc: implements an object representing actions - the name is 
//          equivalent to the action
//
//
// history:
//   22.02.97 - first version finished by Chris
//
//   01.03.97 - added variables instantiation in constructor - Tope
//   13.03.97 - development off. continued by Roman
//   22.03.97 - added & revised documentation - Roman
//
//
// critical problems: none
//
// known problems: none
//

import java.util.*;
import java.lang.*;

class Action
{
  private String name;

// Method: Action Constructor (public)
//
// *Purpose   : intializes a new instance and sets it's name
//
// *Parameters: name (String) - name of the new instance
//
// *Return    : none
//
// *Variables : name (String, class) - stores the action's names
//
  public Action(String name)
  {
    this.name=name;
  }// End of Action-Constructor


// Method: getName (public)
//
// *Purpose   : returns the name of the current action instance
//
// *Parameters: none
//
// *Return    : name (String) - name of the new instance
//
// *Variables : name (String, class) - stores the action's names
//
  public String getName()
  {
     return name;
  }// End of getName


}//End of class Action

