// file:        ActiveObjectReference.java
// source file: ActiveObjectReference.java
// object file: ActiveObjectReference.class
//
//
// included objects:
//  MxNActiveObjectReference
//    Desc: implements a standard reference to an active object
//          (spez. use: agent handling in environments)
//
//
// history:
//   22.02.97 - first version finished by Chris
//
//   13.03.97 - development off. continued by Roman:
//              added documentation
//   22.03.97 - revised documentation - Roman
//
//
// critical problems: none
//
// known problems: none
//

import java.util.*;
import java.lang.*;

class ActiveObjectReference extends Object
{
  //protected ActiveObject myActiveObject;
  ActiveObject myactiveobject;

 
// Method: ActiveObjectReference Constructor (public)
//
// *Purpose   : intializes a new instance and sets it's name
//
// *Parameters: agent (ActiveObject) - the agent to be referenced
//
// *Return    : none
//
// *Variables : myactiveobject (ActiveObject, class) - agent storeage/ref.
//
  public ActiveObjectReference( ActiveObject agent )
  {
    myactiveobject = agent;
  }// End of ActiveObjectReference-Constructor


}// End of class ActiveObjectReference
