import AgentField;

//
//
// AgentFieldList
//
// This methods extends its ancestor to make it possible to
// implement a linked list of AgentFields
// Moreover it allows to store the coordinates of the field
// 
//

class AgentFieldList extends AgentField
{
  protected AgentFieldList next;
  protected int xcoord, ycoord;

  public AgentFieldList( int x, int y )
  {
	super();
	next = null;
	xcoord = x;
	ycoord = y;
  }
  
  public AgentFieldList( boolean wall, boolean pit, boolean wumpus, boolean exit, 
	                     boolean visited, int x, int y )
  {
	super( wall, pit, wumpus, exit, visited );
    next = null;
	xcoord = x;
	ycoord = y;
  }
}

