// Author: ALOBA Babatope
// creation Date: Nov 1996
// last modified: 20 March 1997
// known bugs: none


import java.lang.Integer;

public final class Constants extends Object {

//--------Changeable constants: adapt as needed---------------------
        static final int PAUSEVALUE = 800;
        static final int PAUSEVALUE1 = 1000;
        //Pause after each agent's move for 800 milliseconds (0.8secs)
        static final int WUMPUSVALUE = 0;
        static final int GOLDVALUE = 1000;
        static final int MOVEVALUE = -1;
        static final int DEATHVALUE = -10000;
        static final int MAXAGENTS = 20;
        static final int MAXFIELDOBJECTS = MAXAGENTS+2;
        // MaxAgents + 1 Goldpiece and 1 Wumpus


//   <<<<<<<<<<<<<<<<<<<< HTML file parameter-constants (start)>>>>>>
//-------------Environment Designator and Field types---------------
        static final int FIELDS =          28;
        //marks the start of the fieldstructure specification.

        static final int WALL =         61;
        static final int PIT =          62;
	static final int SPACE =	63;
        //Valid field types

//--------Active and Passive Objects--------------------------------
        //"passive" objects
	static final int WUMPUS =	20;
	static final int GOLD =		22;
        //----------------------------------------
        //active objects
        static final int AGENT =        24;

//   <<<<<<<<<<<<<<<<<<<<  HTML file parameter-constants (end)>>>>>>>


//--------Active Agent Actions--------------------------------------
	static final int UP =	1;
	static final int DOWN =	3;
	static final int LEFT =	5;
	static final int RIGHT =	7;
	static final int CLIMB =	8;

	static final int SHOOT_UP =	31;
	static final int SHOOT_DOWN =	33;
	static final int SHOOT_LEFT =	35;
	static final int SHOOT_RIGHT =	37;
	static final int GRAB =		38;
        static final int INVALID_MOVE = 40;

//--------Environment - Internal------------------------------------------
        static final int MOVE =         60;
	static final int SHOT =		65;
        static final int SNATCH =       66;
	static final int EXIT =		67;


public Constants() {
        super();
} 


} // End of Class Constants

