// file:        DefaultConstants.java
// source file: DefaultConstants.java
// object file: DefaultConstants.class
//
//
// included objects:
//  DefaultConstants
//    Desc: includes all default constants necessary in the project 
//
//
// history:
//   01.04.97 - first version finished by Roman Valehrach
//
// critical problems: none
//
// known problems: none
//

import java.awt.Color;

class DefaultConstants extends Object {

//pubilc Default-constants

// --- Fields: String constansts: -----------------------------------------
  static final String TYPE_SPACE  = "SPACE";
  static final String TYPE_WALL   = "WALL";
  static final String TYPE_PIT    = "PIT";
  static final String TYPE_EXIT   = "EXIT";

  static final String TYPE_GOLD   = "GOLD";
  static final String TYPE_WUMPUS = "WUMPUS";
     

  static final String TYPE_AGENT  = "AGENT";

  static final String TYPE_AGENT_WUMPUS_DUMB   = "DUMBWUMPUS";
  static final String TYPE_AGENT_WUMPUS_REFLEX = "RELEXWUMPUS";
  static final String TYPE_AGENT_WUMPUS_ARRAY  = "ARRAYWUMPUS";
  static final String TYPE_AGENT_WUMPUS_HASH   = "HASHWUMPUS";


  static final String TYPE_AGENT_VACUUM_DUMB   = "DUMBVACUUM";
  static final String TYPE_AGENT_VACUUM_REFLEX = "RELEXVACUUM";
  static final String TYPE_AGENT_VACUUM_ARRAY  = "ARRAYVACUUM";
  static final String TYPE_AGENT_VACUUM_HASH   = "HASHVACUUM";


// --- default image references: ------------------------------------------
  static final String EMPTY_IMAGE  = "EMPTY";
  static final String IMG_PATH     = "images/";
  static final String IMG_PRIMPATH = IMG_PATH + "primitives/";
  static final String ENDING       = ".gif";

  static final String IMG_LOADING  = IMG_PRIMPATH + "loading-msg.gif";

// Field images:
  static final String IMG_WALL1         = IMG_PATH + "wall1.gif";
  static final String IMG_WALL2         = IMG_PATH + "wall2.gif";
  static final String IMG_WALL3         = IMG_PATH + "wall3.gif";
  static final String IMG_WALL4         = IMG_PATH + "wall4.gif";
  static final String IMG_WALL5         = IMG_PATH + "wall5.gif";

  static final String IMG_EXIT          = IMG_PATH + "exitc.gif";
  static final String IMG_PIT           = IMG_PATH + "pitc.gif";

// FieldObject images:
  static final String IMG_WUMPUS        = IMG_PATH + "wumpusc.gif";
  static final String IMG_GOLD          = IMG_PATH + "goldc.gif";
  static final String IMG_JAVELIN       = IMG_PATH + "javelin.gif";

  static final String IMG_WAGENT	    = IMG_PATH + "agentcl.gif";
  static final String IMG_WAGENT_RED    = IMG_PATH + "agentr.gif";
  static final String IMG_WAGENT_GREEN  = IMG_PATH + "agentg.gif";
  static final String IMG_WAGENT_BLUE   = IMG_PATH + "agentbl.gif";
  static final String IMG_WAGENT_YELLOW = IMG_PATH + "agenty.gif";
  static final String IMG_WAGENT_BROWN  = IMG_PATH + "agentbr.gif";


// default action icons (very small images, 15*15):
  static final String IMG_ACTION_UP          = IMG_PRIMPATH + "a_up.gif";
  static final String IMG_ACTION_DOWN        = IMG_PRIMPATH + "a_down.gif";
  static final String IMG_ACTION_LEFT        = IMG_PRIMPATH + "a_left.gif";
  static final String IMG_ACTION_RIGHT       = IMG_PRIMPATH + "a_right.gif";

  static final String IMG_ACTION_WAIT        = IMG_PRIMPATH + "a_wait.gif";
  static final String IMG_ACTION_GRAB        = IMG_PRIMPATH + "a_grab.gif";
  static final String IMG_ACTION_CLIMB       = IMG_PRIMPATH + "a_climb.gif";

  static final String IMG_ACTION_SHOOT_UP	   = IMG_PRIMPATH + "a_sup.gif";
  static final String IMG_ACTION_SHOOT_DOWN  = IMG_PRIMPATH + "a_sdown.gif";
  static final String IMG_ACTION_SHOOT_LEFT  = IMG_PRIMPATH + "a_sleft.gif";
  static final String IMG_ACTION_SHOOT_RIGHT = IMG_PRIMPATH + "a_sright.gif";


// image for unknown moves is the question-mark:
  static final String STR_QUESTION = "QUESTION";    
  static final String IMG_QUESTION = IMG_PRIMPATH + "qu_mrk.gif";

// public methods:

} // End of Class DefaultConstants
