// file:        Drawable.java
// source file: Drawable.java
// object file: Drawable.class
//
//
// included objects: 
//  DrawableReference (an interface)
//    Desc: provides the abstract methods for drawable classes
//          
//
// history:
//   15.02.97 - first version finished by Roman
//
//   22.03.97 - revised documentation - Roman
//
//
// critical problems: none
//
// known problems: none
//

import java.awt.*;

interface Drawable {
// These Abstract Methods must be implemented
// by any class which implements the Interface

  public void setArea(Rectangle area, Graphics g);
  public void paintAll();
}
