// file:        DrawableIfc.java
// source file: DrawableIfc.java
// object file: DrawableIfc.class
//
//
// included objects: 
//  DrawableIfc (an Drawable Interface)
//    Desc: provides the abstract methods for drawable classes
//          
//
// history:
//   15.02.97 - first version finished by Roman
//
//   22.03.97 - revised documentation - Roman
//
//
// critical problems: none
//
// known problems: none
//

import java.awt.*;
import java.applet.Applet;

interface DrawableIfc {
// These Abstract Methods must be implemented
// by any class which implements the Interface

//  public void setArea(Rectangle area, Graphics g);
  public void setArea(Rectangle area, Graphics g, Applet app);
  public void paintAll();
}
