// file:        DrawableReferenceIfc.java
// source file: DrawableReferenceIfc.java
// object file: DrawableReferenceIfc.class
//
//
// included objects: 
//  DrawableReference (an interface)
//    Desc: provides the abstract methods for drawable references
//          
//
// history:
//   14.04.97 - first version finished by Roman Valehrach
//
//
// critical problems: none
//
// known problems: none
//

import java.awt.Graphics;
import java.awt.Rectangle;
import java.awt.Color;

interface DrawableReferenceIfc {
// These Abstract Methods must be implemented
// by any class which implements the Interface

// abstract drawing interface...

  public boolean drawImage( Graphics g, Rectangle area, Color background );
  public boolean drawImage( Graphics g, Rectangle area );

  public boolean drawName( Graphics g, Rectangle area, Color drawcolor );
  public boolean drawName( Graphics g, Rectangle area );

  public boolean draw( Graphics g, Rectangle area, Color drawcolor, Color background );
  public boolean draw( Graphics g, Rectangle area );

}
