// Class MxNEnvironment
// Author: ALOBA Babatope
//         Technical University of Vienna
//
// Creation Date: Nov 1996
//
// last modified: December through February 1997
//      *main coding Phase
//

import java.awt.*;

abstract class MxNEnvironment extends Environment {
//This subclass of Environment works with a 2-dimensional grid.
	//Variables:
		Field[][] field;
			// Array in which all Fields of the Environment are
			// stored.
                protected Graphics g;
                        // own graphics object for drawing

	//Methods:
		public MxNEnvironment(String s, String[][] p)
		{
		   super(s, p);
		}

		public void paintAll() {
			// All methods of interface drawable 
			// must be implemented
		}

		public void setArea(Rectangle area, Graphics g) {
			// All methods of interface drawable 
			// must be implemented
		}

} // End MxNEnvironment
