// file:        Percept.java
// source file: Percept.java
// object file: Percept.class
//
//
// included objects:
//  Percept
//    Desc: implements an object representing percepts - the name is 
//          equivalent to the percept
//
//
// history:
//   22.02.97 - first version finished by Chris
//
//
//   13.03.97 - development off. continued by Roman:
//              extended documentation
//   22.03.97 - added & revised documentation - Roman
//
//
// critical problems: none
//
// known problems: none
//
 
import java.util.*;
import java.lang.*;

class Percept
{
  private String name;


// Method: FieldObject Constructor (public)
//
// *Purpose   : initializes the new instance
//
// *Parameters: name (String) - name of the new instance
//
// *Return    : none
//
// *Variables : name (String) - name of Percept instance
//
  public Percept(String name)
  {
    this.name=name;
  }// End of Percept-Constructor


// Method: getName (public, final)
//
// *Purpose   : returns the name of the Percept instance
//
// *Parameters: none
//
// *Return    : String - the name of the Percept
//
// *Variables : name (String, class) - the instance's name
//
  public String getName()
  {
     return name;
  }// End of getName


}//End of class Percept
